﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace CommunicatorHistoryViewer.Models
{
    public class MainWindowViewModel
    {
        public MainWindowViewModel()
        {
            this.Contacts = new ObservableCollection<ContactViewModel>();
        }

        public ObservableCollection<ContactViewModel> Contacts { get; private set; }

        public void InitContacts(IEnumerable<ContactViewModel> contacts)
        {
            this.Contacts.Clear();

            foreach (var contact in contacts)
            {
                this.Contacts.Add(contact);
            }
        }
    }
}
